#ifndef _GLOBALS_
#define _GLOBALS_

/* Following line prevents having to change lots of Makefiles
   because GenericMotorControl.h temporarily has to #include this file.
   In order for #include <tcl.h> to work, all Makefiles must -I/usr/local/include.
   It's easier to allow GenericMotorControl to explicitly #include "/usr/local/include/tcl.h".
   -- kbrussel 6/9/95
*/
   
#ifndef _TCL
#include <tcl.h>
#endif

class SoSeparator;
class SoPerspectiveCamera;
class SoXtExaminerViewer;
class CreatureCache;

class Globals {

    public:
    
    SoSeparator          *root;
    SoSeparator          *geomSep;
    Tcl_Interp           *interp;
    int                  screen_width, screen_height;
    SoXtExaminerViewer   *Viewer;
    CreatureCache	 *creatureCache;
    Globals();
    ~Globals();
};

#endif
