//
//	tclBasics.c++	tag@media-lab  Wed Aug 24 07:20:14 EDT 1994
//
#include <Inventor/SoInput.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/actions/SoSearchAction.h>
#include <Inventor/SoDB.h>
#include <Inventor/Xt/viewers/SoXtExaminerViewer.h>
#include <stdio.h>
#include <tcl.h>

#include "Command.h"

#define ERROR(S) \
	return((sprintf(interp->result, "%s%s", (S), ((CommandList *)(clientData))->help), \
	TCL_ERROR))

#define OK return(TCL_OK)

extern double atof();

//
//
//
#include "globals.h"
extern Globals globals;

static int 
ivViewAll(ClientData , Tcl_Interp *, int , char **)
{	
   globals.Viewer->viewAll();
   return( TCL_OK );
}

//
//
//

static CommandList basics_cmds[] =
{
{  "ivViewAll", ivViewAll,
   "ivViewAll "
},
{  NULL }
};

void
AddCommands_basics_cmds(Tcl_Interp *interp, Commands *coms)
{
     coms->addCommandList(interp, basics_cmds);
}



