#ifndef _COLORCLASSNODE_
#define _COLORCLASSNODE_
/*********************************************************************
 * 
 * 
 * 
 ********************************************************************/
#include <Inventor/SbBasic.h>
#include <Inventor/SoInput.h>
#include <Inventor/actions/SoAction.h>
#include <Inventor/actions/SoGLRenderAction.h>
#include <Inventor/fields/SoSFEnum.h>
#include <Inventor/fields/SoMFVec2f.h>
#include <Inventor/fields/SoMFInt32.h>
#include <Inventor/fields/SoSFString.h>
#include <Inventor/nodes/SoSwitch.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/sensors/SoFieldSensor.h>
#include <Inventor/actions/SoSubAction.h>
#include <Inventor/fields/SoSFEnum.h>
#include <Inventor/fields/SoMFEnum.h>
#include <Inventor/SoPath.h>

class ColorClass {
 public:
  SbVec3f color_mean;
  SbVec3f geom_mean;
  SbVec3f eigenvalues;
  SbVec3f eigenvecs[3];
};

class ColorClassNode : public SoSeparator {

    SO_NODE_HEADER(ColorClassNode);

public:
    ColorClassNode();
    static void initClass();
    ColorClass data;
    void print();
    void updateStateFrom(ColorClass &cc, SbVec3f base);
    void updateStateNoData(SbVec3f base);
    protected:
    virtual ~ColorClassNode();
#ifdef SO_VERSION_REVISION
    SbBool readInstance(SoInput *in, unsigned short flags);
#else
    SbBool readInstance(SoInput *in);
#endif
    
};
#endif
