#ifndef _FOODDEF_
#define _FOODDEF_

#include <Inventor/SbBasic.h>
#include <Inventor/SbPList.h>
#include <Inventor/fields/SoSFFloat.h>
#include "BehaviorCreature.h"

class GenericController;
class SoInput;
class SoCamera;

class Food : public BehaviorCreature {
    SO_NODE_HEADER(Food);

public:
    static void initClass();
    /* over-rides of methods defined in BehaviorCreature */
    SoSFFloat value;
    
    virtual void addMotorSkills();
    virtual void getDOFInterpolators();

protected:
    Food();           // Note only should be called during a read
#ifdef SO_VERSION_REVISION
    virtual SbBool	readInstance(SoInput *in, unsigned short flags);
#else
    virtual SbBool	readInstance(SoInput *in);
#endif
    virtual ~Food();
    
}; 

#endif
