#include <stdio.h>

#include <Inventor/Sb.h>
#include <Inventor/SoInput.h>
#include <Inventor/nodes/SoTransform.h>
#include <Inventor/actions/SoWriteAction.h>

#include "Anchor.h"

/*********************************************************************
 * 
 *	    Anchor  Class
 *
 *  BUG!! does not have CBs for when the fields are changed.
 * 
 *********************************************************************/

SO_NODE_SOURCE(Anchor);

void
Anchor::initClass()
{
    SO_NODE_INIT_CLASS(Anchor, SoTransform, "Transform");
}

Anchor::Anchor()
{
    SO_NODE_CONSTRUCTOR(Anchor);
}

Anchor::~Anchor()
{
}

Spx *Anchor::getAnchorFrame()
{
  anchorFrame.r = translation.getValue();
  anchorFrame.e.setRotate(rotation.getValue());

  return &anchorFrame;
}
