#ifndef _ANCHOR_
#define _ANCHOR_

#include <Inventor/SbLinear.h>
#include <Inventor/sensors/SoFieldSensor.h>
#include "../CreatureLib/Vector.h"
#include "SpatialAlgebra.h"

class SoTransform;
class Anchor;

class Anchor : public SoTransform {
    SO_NODE_HEADER(Anchor);

public:
    static void initClass();
    Anchor();

    Spx *getAnchorFrame();

private:
    Spx anchorFrame;

    virtual ~Anchor();
};

#endif
