/*
 */

/*-------------------------------------------------------------
 *----------------------------------------------------------*/

#include <Inventor/nodes/SoSurroundScale.h>

#include "AnchorDragger.h"
#include "AnchorManip.h"

SO_NODE_SOURCE(AnchorManip);

//  Initialize the type ID for this manipulator node. This
//  should be called once after SoInteraction::init(),
//  TranslateRadialDragger::initClass()
//  and AnchorDragger::initClass()
void
AnchorManip::initClass()
{
   SO_NODE_INIT_CLASS(AnchorManip, SoTransformManip, "TransformManip");
}

AnchorManip::AnchorManip()
{
   SO_NODE_CONSTRUCTOR(AnchorManip);

   // Create a new dragger and call setDragger(), 
   // a method inherited from SoTransformManip.
   AnchorDragger *myDrag = new AnchorDragger;
   setDragger(myDrag);

   // We want this manipulator to surround the objects it
   // affects when we put it in a scene. So create the
   // surroundScale node.
//   SoSurroundScale *mySS = (SoSurroundScale *) 
//      myDrag->getPart("surroundScale",TRUE);
//   mySS->numNodesUpToContainer = 4;
//   mySS->numNodesUpToReset = 3;
}

AnchorManip::~AnchorManip()
{
}
