#ifndef _INVENTOR_XDR_ROUTINES_
#define _INVENTOR_XDR_ROUTINES_

#include <rpc/types.h>
#include <rpc/xdr.h>

class SbVec3f;
class SbVec4f;
class SbMatrix;

/* XDR functions for SbVecs */

bool_t xdr_SbVec3f(XDR *xdrs, SbVec3f *vec);
bool_t xdr_SbVec4f(XDR *xdrs, SbVec4f *vec);

/* XDR function for SbMatrix */

bool_t xdr_SbMatrix(XDR *xdrs, SbMatrix *matrix);

#endif
