#ifndef PENDEIEO
#define PENDEIEO 
#include <Inventor/engines/SoSubEngine.h>
#include <Inventor/fields/SoSFFloat.h>
#include <Inventor/fields/SoSFRotation.h>
#include <Inventor/fields/SoSFVec3f.h>
#include <Inventor/fields/SoSFBool.h>

class PendulumEiEo : public SoEngine {

    SO_ENGINE_HEADER(PendulumEiEo);

  public:

    // Input:
    SoSFFloat       secSince;
    SoSFFloat       secStart;
    SoSFVec3f       axis;
    SoSFFloat       angle0;
    SoSFFloat       angle1;
    SoSFFloat       period;
    SoSFBool        ease;
    
    // Output:
    SoEngineOutput  output;  

    static void initClass();

    PendulumEiEo();

  private:

    virtual ~PendulumEiEo();

    virtual void evaluate();

};
#endif
