#ifndef __UNIFORM_RANDOM_VARIABLE__
#define __UNIFORM_RANDOM_VARIABLE__

#include "RandomVariable.h"


class UniformRandomVariable : public RandomVariable
{
private:
  double low;
  double high;
  double range;

public:
  UniformRandomVariable();	// [0.0, 1.0)
  UniformRandomVariable(double min, double max); // [min, max)

  virtual double generate();
};


#endif
