#ifndef NEXTTYPES
#define NEXTTYPES
typedef struct {
    public: float x;
    float y;
}NXPoint;

typedef struct {
    float width;
    float height;
}NXSize ;

typedef struct {
    NXPoint origin;
    NXSize size;
}NXRect;

#define MAX(x,y)(((x)<(y))?y:x)
#define MIN(x,y)(((x)>(y))?y:x)

#define YES 1
#define NO 0

typedef float	 RtFloat;

typedef RtFloat	 RtPoint[3];
typedef RtFloat	 RtMatrix[4][4];

#endif

