#ifndef __DLIST_BASE__
#define __DLIST_BASE__

#include "Dlink.h"

class Dlist_base {
 private:
  Dlink *head;
  Dlink *tail;
 public:
  void insert(Dlink* a);
  void append(Dlink* a);
  void deleteElement(Dlink* a);
  Dlink *get();
  
  void clear() { head = tail = 0; }

  Dlist_base() { head = tail = 0; };
  Dlist_base(Dlink* a)
    {
      head = tail = a;
      a->prev = a->next = 0;
    }
  
  friend class Dlist_base_iter;
};

#endif
