#ifndef __DLIST_BASE_ITER__
#define __DLIST_BASE_ITER__

#include "Dlink.h"
#include "Dlist_base.h"

class Dlist_base_iter {
 private:
  Dlink* ce;        // current element
  Dlist_base* cl;   // current list
  Dlink* headtemp;  // temp pointer for starting out at head
  Dlink* tailtemp;  // temp pointer for starting out at tail

 public:
  Dlist_base_iter(Dlist_base& d);
  void renew();
  Dlink *prev();
  Dlink* next();
  void ffwd();
  void rewind();
  int deleteCurrentElement();
};

#endif
