#include <stdio.h>
#include <iostream.h>
#ifdef __GNUG__
#include "Dlist.c++"
#include "SocketMan.h"
#endif
#include "SocketClient.h"
//#include "SocketBuf.h"
#include <signal.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>

SocketClient *sc = NULL;

void
cleanup(...)
{
  if (sc)
    delete sc;
  exit(1);
}

  
int
main(int argc, char **argv)
{
  signal(SIGINT, cleanup);
  int counter = 0;
  int state = 0;
  sc = new SocketClient(10603);
  sc->setUsingMulticast(1);

  if (sc->connectToServer("224.0.0.0") != SocketClient::MSG_NO_ERROR)
    {
      cerr << "Connect to server failed" << endl;
      cleanup();
    }

  SocketBuf *sbuf = new SocketBuf;
  sbuf->buf = new sm_byte[10];
  strcpy((char *)sbuf->buf, "Hi there");
  sbuf->num_bytes = 9;

  while (1)
    {
      int ret;
      if ((ret = sc->writeWithTimeout(sbuf)) == SocketClient::MSG_NO_ERROR)
	cerr << "Wrote a packet" << endl;
      else
	cerr << "Error writing packet: " << ret << endl;
      if ((counter++ % 10) == 0)
	sc->setSuppressingMulticastLoopback((state = !state));

      sleep(1);
      SocketBuf *sb1 = sc->readWithPollAndTimeout();
      if (sb1)
	{
	  cerr << "Read a packet: contents = " << (char *)sb1->buf << endl;
	  delete sb1;
	}
    }
  return 0;
}
