#ifndef _TUNNEL_
#define _TUNNEL_

#define INTERNAL_PORT 18764

#include "SocketClient.h"

class Tunnel {
private:

  SocketClient *msc;   // Multicast socketclient
  SocketClient *usc;   // UDP socketclient

  int selectOnSocketClients(SocketClient *cli, ...);
  void cleanup();

public:
  Tunnel(char *multicast_group_addr, 
	 char *remote_host_name,
	 int port = INTERNAL_PORT);
  ~Tunnel();

  void mainLoop();
};

#endif
