#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/types.h>
#include <bstring.h>
#include <sys/time.h>
#include <sys/ioctl.h>

main()
{
  struct timeval timeout = {0,0};
  fd_set readfds;
  int width;
  int bytes;
  char buf[256];

  width = getdtablesize();

  while(1)
    {
      FD_ZERO(&readfds);
      FD_SET(STDIN_FILENO, &readfds);

      if (select(width, &readfds, NULL, NULL, &timeout) < 0)
	{
	  printf("select failed!\n");
	  exit(1);
	}
      if (FD_ISSET(STDIN_FILENO, &readfds))
	{
	  printf("stdin is ready to read ");
	  ioctl(STDIN_FILENO, FIONREAD, &bytes);
	  printf("%d bytes\n", bytes);
	  bytes = read(STDIN_FILENO, buf, 256);
	  printf("read %d bytes from stdin\n", bytes);
	  buf[bytes] = 0;
	  printf("contents: %s", buf);
	}
      else
	{
	  printf("stdin is not ready to read\n");
	}
      sleep(1);
    }
}
