#ifndef _TEXTDEF_
#define _TEXTDEF_
#include <Inventor/SbBasic.h>
#include <Inventor/SbPList.h>
#include <Inventor/nodes/SoText3.h>
#include "MotorLib.h"

class GenericController;
class SoInput;

class Text : public MotorCreature {
    SO_NODE_HEADER(Text);

public:
    static void initClass();

    SoText3 *TextNode;

    /* over-rides of methods defined in MotorCreature */
    
    virtual int  stepTo(UpdateStateData &usd);
    virtual void getDOFInterpolators();
    virtual void addMotorSkills();
    virtual void addBehaviorSystem();

protected:
    Text();           // Note only should be called during a read
    #ifdef SO_VERSION_REVISION
virtual    SbBool readInstance(SoInput *in, unsigned short flags);
#else
virtual    SbBool readInstance(SoInput *in);
#endif
    virtual ~Text();
}; 

#endif
