#include "SensorLib.h"
#include "ActivityLib_1.h"
#include "MotorLib.h"
#include "BasicDefines.h"
#include "BehaviorCreatureLib.h"
#include "util.h"

void trackObjectCallback(BaseActivity *act, BehaviorUpdateAction *action)
{
    CBUA(dba, action);
    PRONOME(pronome, dba);
    PFSENSOR(s, dba);
    LeafActivity *la = (LeafActivity *)act;
    
    if(pronome->status == Pronome::PASSEDFILTER){
	la->mcb.setNextArgGeneric(pronome->location[0]);
	la->mcb.setNextArgGeneric(pronome->location[1]);
	la->mcb.setNextArgGeneric(pronome->location[2]);
	la->mcb.cmd = GC_HEADTOWARD;
    }
}

void TrackerLibInit()
{
    BaseBehaviorNode::addCallback("trackobject", trackObjectCallback);
}




