// UnitQuaternion.h

#ifndef _UnitQuaternion_H_
#define _UnitQuaternion_H_

#include "QuickMath/real.h"
#include "QuickMath/QuickVector.h"
#include "QuickMath/QuickMatrix.h"

class UnitQuaternion : public AllocVector
{
private:
public:
    UnitQuaternion()
      : AllocVector( 4 ) {}
    UnitQuaternion( real* );
    QuickMatrix& RotationMatrix( QuickMatrix& out );
    UnitQuaternion& Identity( );
    UnitQuaternion& Multiply( UnitQuaternion&, UnitQuaternion& );
    UnitQuaternion& Normalize();
};

#endif /* _UnitQuaternion_H_ */
