/* bsClassify.h */

#ifndef _bsClassify_H_
#define _bsClassify_H_

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "ivePoint.h"
#include "iveBitmap.h"

#include "iveImage.h"
typedef unsigned char * PPM;

#define NCLASSES (8)

#define idx(i,j,w) ((i) + (j)*(w))

typedef struct {
  int valid;
  int c;
  float dist;
} PixelClassStruct;

typedef enum  { pfGLOBAL=0, pfRIGHTHAND, pfLEFTHAND,
		  pfHEAD, pfRIGHTFOOT, pfLEFTFOOT,
		  pfCHEST, pfTHIGHS, pfWAIST         } pfClassDesig;

#include "bsClassify.proto"

#endif /* _bsClassify_H_ */
