/* backsub-Xclient.h */

#ifndef _BACKSUB_XCLIENT_H_
#define _BACKSUB_XCLIENT_H_

#include <math.h>
#include <stdio.h>

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xm/Xm.h>
#include <Xm/Command.h>
#include <Xm/DrawingA.h>
#include <Xm/Frame.h>
#include <Xm/PanedW.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/Scale.h>
#include <Xm/Separator.h>
#include <Xm/ToggleB.h>

#include "iveBitmap.h"
#include "iveImage.h"
#include "ivePoint.h"

typedef void (*SliderCallbackFunc)(float);
typedef void (*ButtonCallbackFunc)(int);
typedef void (*PushBCallbackFunc)();

#include "bsXclient.proto"
#include "bsSegment.proto"
#include "bsClassify.h"
#include "bsClassify.proto"

#endif /* _BACKSUB_XCLIENT_H_ */

