#ifndef RECCO
#define RECCO

class Activity;

class Recommendation{
 public:
  int intensity;
  float value;
  int timeMade;
};

class RecArray{
 public:
  int count;
  Recommendation recs[32];
  RecArray(int c);
  Recommendation *getRecommendationFor(int i);
  int setRecommendation(int i,Recommendation r);
};

class Recommender {
 public:
 Activity *parent;
 virtual void init(Activity *p);
 virtual void makeRecommendationAt(int t);
};

class AvoidRecommender : public Recommender {
    void makeRecommendationAt(int t);
};
 
#endif
