#include "Command.h"

//
//
//

CommandListLink::CommandListLink(CommandList *c)
{
  commands = c;
  next = NULL;
}

CommandListLink::~CommandListLink()
{
}

//
//
//
Commands::Commands()
{
  start = NULL;
}

Commands::~Commands()
{
  for(CommandListLink *cll = start; cll != NULL; cll = cll->next)
	delete cll;
}

void
Commands::addCommandList(Tcl_Interp *interp, CommandList *cl)
{
  for(CommandList *ptr = cl; ptr->func != NULL; ptr++)
	Tcl_CreateCommand (interp, ptr->name, ptr->func,
			    (ClientData) ptr, (Tcl_CmdDeleteProc *)NULL);

  CommandListLink *cll = new CommandListLink(cl);
  cll->next = start;
  start = cll;
}
