
//
//	command.h	tag@media.mit.edu Wed Aug 24 07:43:17 EDT 1994
//

#ifndef _COMMAND_H_
#define _COMMAND_H_

#include <stdio.h>
#include <tcl.h>

class CommandListLink;
class Commands;

typedef struct
{	char *name;
	int (*func)(ClientData, Tcl_Interp*, int , char **);
	char *help;
} CommandList;

class CommandListLink {
    friend Commands;

  private:

    CommandList     *commands;
    CommandListLink *next;

  public:
    CommandListLink(CommandList *cl);
    ~CommandListLink();
};

class Commands {

  private:
    CommandListLink *start;

  public:
    Commands();
    ~Commands();

    void addCommandList(Tcl_Interp *interp, CommandList *cl);
};

#endif 
