#ifndef _AUDIOMAN_
#define _AUDIOMAN_
#include <stdio.h>
#include <string.h>
#include <malloc.h>
#include "AudioEvent.h"

class SocketMan;

struct AudioManRet
{
  char   *utterance;
  int    tick;
  int    utterance_num;
};

class AudioMan 
{
  private:
    SocketMan   *sm;
    AudioManRet *ret;
    void        Handshake();
    AudioEvent  lastEvent;
    int         lastEventHandled;

  public:
    int         hark_connection;
    AudioMan(int port, 
	     int use_udp = 0);
    ~AudioMan();
    void         CheckSpeech();
    AudioEvent   *GetLastAudioEvent();
};

#endif
