#include <string.h>

/* Destructively modifies the incoming string (so, after several calls,
   we can see there are any left over)---this means you'd better copy it
   first, so we don't actually bash argv[1], which will be needed by
   auto-restart.  Returns 0 or 1, depending on whether the option was there. */
int procOptions(char *options, char option)
{
  char *where;

  where = strchr(options, option);
  if (where) {
    *where = ' ';
    return 1;
  } else {
    return 0;
  }
}
