#ifndef _CAR_DEFINES_
#define _CAR_DEFINES_

/*************************************************************************
 * These are the indices into the Dofs list. They correspond exactly to the
 * order that they were added
 *************************************************************************/

#define TILT_INDEX   0
#define PITCH_INDEX  1
#define BOUNCE_INDEX 2
#define ROLL_INDEX   3
#define TURN_INDEX   4

/***************************************************************
 *
 *	    MOTOR COMMANDS
 * 
 * 
 **************************************************************/
#define GC_MOVE        0
#define GC_TURN        1
#define GC_ON          2
#define GC_OFF         3
#define GC_TURN_TOWARD 4
#define GC_TURN_TOWARD_OFF 5

/*************************************************************************
 *  These are used by CarController
 *************************************************************************/
#define DEFAULT_SPEED         10.0
#define DEFAULT_SECS_TO_SPEED  5.0
#define DEFAULT_TURN           0.1
#define DEFAULT_SECS_TO_TURN   1.0
#define DEFAULT_TURN_TOWARD_X  0.0
#define DEFAULT_TURN_TOWARD_Y  0.0
#define DEFAULT_TURN_TOWARD_Z  0.0

#endif




