#ifndef _BEHDOGHHOUSEDEF_
#define _BEHDOGHHOUSEDEF_

#include <Inventor/SbBasic.h>
#include <Inventor/SbPList.h>
#include "BehaviorCreature.h"

class GenericController;
class SoInput;
class SoCamera;

class DogHouse : public BehaviorCreature {
    SO_NODE_HEADER(DogHouse);

public:
    static void initClass();
    /* over-rides of methods defined in BehaviorCreature */
    SoSFVec3f target;
    
    virtual void addMotorSkills();
    virtual void getDOFInterpolators();

protected:
    DogHouse();           // Note only should be called during a read
#ifdef SO_VERSION_REVISION
    virtual SbBool	readInstance(SoInput *in, unsigned short flags);
#else
    virtual SbBool	readInstance(SoInput *in);
#endif
    virtual ~DogHouse();
    
}; 

#endif
