#ifndef _CREATUREBEHAVIOR_
#define _CREATUREBEHAVIOR_

#include "ActivityLib_1.h"

class MotorCreature;

class CreatureBehaviorUpdateAction : public BehaviorUpdateAction {

   SO_ACTION_HEADER(CreatureBehaviorUpdateAction);

    public:
    MotorCreature *creature;
    int objectOfInterestTag;
    
    // Initializes this action class for use with scene graphs
    static void    initClass();

    // Constructor and destructor
    CreatureBehaviorUpdateAction(MotorCreature *theCreature);
    virtual ~CreatureBehaviorUpdateAction();

 protected:
    // Initiates action on graph
    virtual void   beginTraversal(SoNode *node);

 private:
    static void    callDoAction(SoAction *, SoNode *);

};
#endif
