#include <sys/time.h>
#include <unistd.h>

#include "RandomVariable.h"

void
RandomVariable::seed(int32_t seedval)
{
  srand48(seedval);
}

void
RandomVariable::seed()
{
  struct timeval now;
  int32_t pid;
  
  gettimeofday(&now);
  pid = getpid();
  seed(pid ^ now.tv_usec);
}
