/*
 */

/*-------------------------------------------------------------
 *----------------------------------------------------------*/

#include <Inventor/nodes/SoSurroundScale.h>

#include "Translate222Dragger.h"
#include "Translate222Manip.h"

SO_NODE_SOURCE(Translate222Manip);

//  Initialize the type ID for this manipulator node. This
//  should be called once after SoInteraction::init(),
//  TranslateRadialDragger::initClass()
//  and Translate222Dragger::initClass()
void
Translate222Manip::initClass()
{
   SO_NODE_INIT_CLASS(Translate222Manip, SoTransformManip, "TransformManip");
}

Translate222Manip::Translate222Manip()
{
   SO_NODE_CONSTRUCTOR(Translate222Manip);

   // Create a new dragger and call setDragger(), 
   // a method inherited from SoTransformManip.
   Translate222Dragger *myDrag = new Translate222Dragger;
   setDragger(myDrag);

   // We want this manipulator to surround the objects it
   // affects when we put it in a scene. So create the
   // surroundScale node.
//   SoSurroundScale *mySS = (SoSurroundScale *) 
//      myDrag->getPart("surroundScale",TRUE);
//   mySS->numNodesUpToContainer = 4;
//   mySS->numNodesUpToReset = 3;
}

Translate222Manip::~Translate222Manip()
{
}
