#include "UniformRandomVariable.h"

UniformRandomVariable::UniformRandomVariable()
{
  low = 0.0;
  high = 1.0;
  range = high-low;
  seed();
}

UniformRandomVariable::UniformRandomVariable(double a, double b)
{
  low = a;
  high = b;
  range = high-low;
  seed();
}



double
UniformRandomVariable::generate()
{
  double r = drand48();

  return (r*range)+low;
}


