#ifndef _ALIVE_SERVER_
#define _ALIVE_SERVER_

#include "AliveBase.h"
#include "AliveDispatch.h"
#include "SocketMan.h"
#include "SocketClient.h"

void runPacketForwarder(void *data);
void cleanupPacketForwarder(...);

class AliveServer : public AliveBase {
private:
  SocketMan *sm;      // for accepting TCP connections
  SocketClient *msc;  // for multicasting updates
  // Tunnel *tunnel;   // for rebroadcasting all multicast updates

  friend class AliveDispatch;

public:
  AliveServer();
  ~AliveServer();
  int acceptConnectionWithPoll();
  int threadPacketForwarder();
};

#endif
