#include "initClasses.h"
#include <Inventor/SoDB.h>
#include "LimbModel.h"
#include "JointModel.h"
#include "ArticulatedBody.h"
#include "PendulumEiEo.h"
#include "BSInterpV3f.h"
#include "EngineHolder.h"

void initInventorClasses()
{
    SoDB::init();
    LimbModel::initClass();
    JointModel::initClass();
    ArticulatedBody::initClass();
    PendulumEiEo::initClass();
    BSInterpV3f::initClass();
    EngineHolder::initClass();
}
