// movieFunctions.h -- Header file for movieFunctions.c++

#ifndef __MOVIEFUNCTIONS_H
#define __MOVIEFUNCTIONS_H

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <iostream.h> 
#include <Inventor/fields/SoSFShort.h>
#include <Inventor/nodes/SoTexture2.h>

class MovieFrame
{
protected:
	SoTexture2 *frame;
	MovieFrame *nextFrame;


public:
	
	MovieFrame(){};
	~MovieFrame(){};          

	inline SoTexture2 * getTexture(){ return frame; }
	inline MovieFrame * getNext(){ return nextFrame; }

	inline void putTexture(SoTexture2 *texture) { frame = texture; }
	inline void putNext(MovieFrame *mf) { nextFrame = mf; }
   

};

#endif


















