#include "Dlist.h"

template<class T>
void Dlist<T>::insert(const T& a)
{
  Dlist_base::insert(new Tlink<T>(a));
}

template<class T>
void Dlist<T>::append(const T& a)
{
  Dlist_base::append(new Tlink<T>(a));
}

template<class T>
T Dlist<T>::get()
{
  Tlink<T>* lnk = (Tlink<T>*) Dlist_base::get();
  T i = lnk->info;
  delete lnk;
  return i;
}

template<class T> T* Dlist_iter<T>::prev()
{
  Tlink<T>* lnk = (Tlink<T>*) Dlist_base_iter::prev();
  return lnk ? &lnk->info : 0;
}

template<class T> T* Dlist_iter<T>::next()
{
  Tlink<T>* lnk = (Tlink<T>*) Dlist_base_iter::next();
  return lnk ? &lnk->info : 0;
}

template<class T> void Dlist_iter<T>::ffwd()
{
  Dlist_base_iter::ffwd();
}

template<class T> void Dlist_iter<T>::rewind()
{
  Dlist_base_iter::rewind();
}

template<class T> int Dlist_iter<T>::deleteCurrentElement()
{
  return Dlist_base_iter::deleteCurrentElement();
}
