#include <stdio.h>
#include <iostream.h>
#ifdef __GNUG__
#include "Dlist.c++"
#include "SocketMan.h"
#endif
#include "SocketClient.h"
#define _BSD_SIGNALS
#include <signal.h>
#include <stdlib.h>
#include <string.h>

SocketClient *sc = NULL;

void
cleanup(...)
{
  if (sc)
    delete sc;
  exit(1);
}

  
int
main(int argc, char **argv)
{
  signal(SIGINT, cleanup);

  sc = new SocketClient(10603);
  sc->setUsingMulticast(1);

  if (sc->connectToServer("224.0.0.0") != SocketClient::MSG_NO_ERROR)
    {
      cerr << "Connect to server failed" << endl;
      cleanup();
    }
  
  while (1)
    {
      SocketBuf *sbuf = sc->readWithPollAndTimeout();
      if (sbuf)
	{
	  cerr << "Read a packet: contents = " << (char *)sbuf->buf << endl;
	  delete sbuf;
	}
    }
}
