#include <stdio.h>
#include <iostream.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/time.h>
#ifdef __GNUG__
#include "Dlist.c++"
#include "SocketMan.h"
#endif
#include "SocketClient.h"
#include "SocketBuf.h"

#define PING_PORT 10557

SocketClient *sc;

main()
{
  sc = new SocketClient(PING_PORT);
  sc->setUsingMulticast(1);
  sc->connectToServer("224.0.0.4");

  SocketBuf *sbuf = new SocketBuf(10, SOCKET_CHAR, "Ping!");
  struct timeval t1, t2;
  struct timezone tz = {0, 0};
  float time_diff;

  while (1)
    {
      // send out a ping
      if (sc->writeWithTimeout(sbuf) != SocketClient::MSG_NO_ERROR)
	{
	  cerr << "Error writing packet" << endl;
	  exit(1);
	}
      
      // check our watch
      gettimeofday(&t1, &tz);

      // go into blocking select()
      if (sc->selectOnSocket() < 0)
	{
	  cerr << "Select failed!" << endl;
	  exit(1);
	}
      
      SocketBuf *sb = sc->readWithPollAndTimeout();
      if (!sb)
	{
	  cerr << "Read failed!" << endl;
	  exit(1);
	}

      // check our watch again
      gettimeofday(&t2, &tz);

      cerr << (char *) sb->buf;
      delete sb;

      // output time difference
      time_diff = (1000 * (t2.tv_sec - t1.tv_sec)) +
	(.001 * (t2.tv_usec - t1.tv_usec));
      cerr << " Round trip packet time = " << time_diff << " milliseconds" << endl;
      
      sleep(1);
    }
}
      
