#ifndef __SOCKETBUF__
#define __SOCKETBUF__

typedef enum
{
  SOCKET_CHAR,
  SOCKET_INT,
  SOCKET_FLOAT
} PacketType;

typedef char sm_byte;

class SocketBuf
{
public:
  int num_bytes;
  int num_bytes_successful;
  sm_byte type;
  sm_byte *buf;
  int user_initted;
  unsigned long from_address;  // for multicasting

  SocketBuf();
  SocketBuf(int user_num_bytes,
	    int user_type,
	    void *user_buf);
  ~SocketBuf();
};
  
#endif
