// sctest4.c++
// Tests integer data typing.

#include <iostream.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#ifdef __GNUG__
#include "Dlist.c++"
#include "SocketMan.h"
#endif
#include "SocketClient.h"
#include "sockettests.h"

char* server_name;

int main(int argc, char **argv)
{
  int counter = 0;
  int foo;
  int *vector;

  if (argc < 3)
    {
      cerr << "usage: sctest4 <server name> <integers to send>" << endl;
      exit(1);
    }
  else
    server_name = argv[1];

  vector = new int[argc - 2];

  for (counter = 0; counter < argc - 2; counter++)
    {
      vector[counter] = atoi(argv[2 + counter]);
    }

  SocketClient *sc = new SocketClient(port, 1, 0, 20, 0);
  global_sc = sc;
  
  cerr << "Connecting..." << endl;
  while ((foo = sc->connectToServer(server_name)) != 0)
    {
      sleep(2);
    }
  

  // test the byte swapping

  SocketBuf *sb = new SocketBuf;
  sb->buf = (sm_byte *) vector;

  if (sb->buf)
    {
      int result;
      sb->type = SOCKET_INT;
      sb->num_bytes = sizeof(int) * (argc - 2);
      cerr << "Writing buf" << endl;
      result = sc->writeWithTimeout(sb);
      cerr << "Wrote buf: result = " << result << endl;
    }
  cerr << "Exiting main()" << endl;
}
