#include <Inventor/engines/SoCompose.h>
#include <Inventor/engines/SoElapsedTime.h>
#include <Inventor/engines/SoTimeCounter.h>
#include <Inventor/engines/SoInterpolate.h>
#include <Inventor/engines/SoCalculator.h>
#include <Inventor/engines/SoCompose.h>
#include <Inventor/nodes/SoRotationXYZ.h>
#include <Inventor/nodes/SoPendulum.h>
#include <Inventor/nodes/SoShuttle.h>
#include <Inventor/SoPath.h>

#include "MotorLib.h"
#include "TextMotorSkills.h"
#include "CreatureLib.h"
#include "TextDefines.h"

/*********************************************************************
 * 
 * TextSetString
 * 
 *********************************************************************/

TextSetString::TextSetString(Text *p, char *pname) : MotorSkill(p, pname)
{
    isImmediate = TRUE;
}

void TextSetString::updateImmediate(void *arg)
{
    MotorCommandBlock *argVals = (MotorCommandBlock *)arg;

    ((Text *)parent)->TextNode->string.setValue(argVals->getCharPtrAt(0));
	
    return;
}
