// pfSemaphore.h++

#ifndef _pfSemaphore_H_
#define _pfSemaphore_H_

#include <unistd.h>

class pfSemaphore
{
    enum { Unlock = 0, Lock = 1 };
    int localSemaphore;
    int remoteSemaphore;
public:
    pfSemaphore::pfSemaphore()
      : localSemaphore( Unlock ), remoteSemaphore( Unlock ) {}

    inline void localLOCK() {
	localSemaphore = Lock;
	while( Lock == remoteSemaphore )
	   sginap( 1 );
    }
    inline void localUNLOCK() { localSemaphore = Unlock; }
    inline void remoteLOCK() {
	remoteSemaphore = Lock;
	while( Lock == localSemaphore )
	   sginap( 1 );
    }
    inline void remoteUNLOCK() { remoteSemaphore = Unlock; }
};

#endif /* _pfSemaphore_H_ */
